"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const get = require("lodash.get");
const set = require("lodash.set");
/**
 * Get a Snapshot of the current Store State.
 * Useful for testing with jest expect.toMatchSnapshot
 *
 * @param store Store to create State-Snapshot from
 * @param paths (Optional) Only copy these strings (uses lodash.get/set)
 */
const getStoreState = (store, paths) => {
    const objectToMatch = {};
    const pathsToUse = paths !== undefined && Array.isArray(paths) ? paths : store.getPropKeys();
    for (const path of pathsToUse) {
        const val = get(store, path);
        set(objectToMatch, path, val);
    }
    return objectToMatch;
};
exports.default = getStoreState;
//# sourceMappingURL=getStoreState.js.map